org.jgrapht.alg.flow

## Class PushRelabelMaximumFlow.EdgeExtension

- java.lang.Object
- - org.jgrapht.alg.util.Extension.BaseExtension
  - - org.jgrapht.alg.flow.PushRelabelMaximumFlow.EdgeExtension

- Enclosing class:
    PushRelabelMaximumFlow<V,E>

      public class PushRelabelMaximumFlow.EdgeExtension
      extends Extension.BaseExtension

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PushRelabelMaximumFlow.EdgeExtension()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `<EE extends org.jgrapht.alg.flow.MaximumFlowAlgorithmBase.EdgeExtensionBase> EE` | `getInverse()`
    `<VE extends org.jgrapht.alg.flow.MaximumFlowAlgorithmBase.VertexExtensionBase> VE` | `getSource()`
    `<VE extends org.jgrapht.alg.flow.MaximumFlowAlgorithmBase.VertexExtensionBase> VE` | `getTarget()`
    `void` | `setInverse(org.jgrapht.alg.flow.MaximumFlowAlgorithmBase.EdgeExtensionBase inverse)`
    `void` | `setSource(org.jgrapht.alg.flow.MaximumFlowAlgorithmBase.VertexExtensionBase source)`
    `void` | `setTarget(org.jgrapht.alg.flow.MaximumFlowAlgorithmBase.VertexExtensionBase target)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PushRelabelMaximumFlow.EdgeExtension

          public PushRelabelMaximumFlow.EdgeExtension()

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getSource

          public <VE extends org.jgrapht.alg.flow.MaximumFlowAlgorithmBase.VertexExtensionBase> VE getSource()

    - #### setSource

          public void setSource(org.jgrapht.alg.flow.MaximumFlowAlgorithmBase.VertexExtensionBase source)

    - #### getTarget

          public <VE extends org.jgrapht.alg.flow.MaximumFlowAlgorithmBase.VertexExtensionBase> VE getTarget()

    - #### setTarget

          public void setTarget(org.jgrapht.alg.flow.MaximumFlowAlgorithmBase.VertexExtensionBase target)

    - #### getInverse

          public <EE extends org.jgrapht.alg.flow.MaximumFlowAlgorithmBase.EdgeExtensionBase> EE getInverse()

    - #### setInverse

          public void setInverse(org.jgrapht.alg.flow.MaximumFlowAlgorithmBase.EdgeExtensionBase inverse)

Copyright © 2016. All rights reserved.